package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yfd.platform.modules.basedata.domain.SubstationDevice;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站_巡视点位 Mapper 接口
 * </p>
 *
 *
 * @since 2023-03-28
 */
public interface SubstationDeviceMapper extends BaseMapper<SubstationDevice> {

    List<String> getDeviceByCode(String patrolDeviceCode);

    List<Map<String,Object>> getDeviceByJson(String internationalId);

    List<Map<String, Object>> selectByIds(String ids);
    List<SubstationDevice> selectByIdList(String ids);

    String selectNextUavDeviceCode();

    List<Map<String, Object>> getRobotCodeByDeviceId(List<String> deviceIds);
}
